org.bouncycastle.asn1

## Class BERSequenceParser

- java.lang.Object
- - org.bouncycastle.asn1.BERSequenceParser

- All Implemented Interfaces:
    ASN1Encodable, ASN1SequenceParser, InMemoryRepresentable

      public class BERSequenceParser
      extends java.lang.Object
      implements ASN1SequenceParser

  Parser for indefinite-length SEQUENCEs.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1Primitive` | `getLoadedObject()` Return an in-memory, encodable, representation of the SEQUENCE.
    `ASN1Encodable` | `readObject()` Read the next object in the SEQUENCE.
    `ASN1Primitive` | `toASN1Primitive()` Return an BERSequence representing this parser and its contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### readObject

          public ASN1Encodable readObject()
                                   throws java.io.IOException

      Read the next object in the SEQUENCE.
      Specified by:
        `readObject` in interface `ASN1SequenceParser`
      Returns:
        the next object in the SEQUENCE, null if there are no more.
      Throws:
        `java.io.IOException` - if there is an issue reading the underlying stream.

    - #### getLoadedObject

          public ASN1Primitive getLoadedObject()
                                        throws java.io.IOException

      Return an in-memory, encodable, representation of the SEQUENCE.
      Specified by:
        `getLoadedObject` in interface `InMemoryRepresentable`
      Returns:
        a BERSequence.
      Throws:
        `java.io.IOException` - if there is an issue loading the data.

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return an BERSequence representing this parser and its contents.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Returns:
        an BERSequence